@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap');

.button {
  padding: 8px 16px;
  background-color: #ff5722;
  color: #fff;
  border-style: groove;
  border-color: transparent;
  border-radius: 6px;
  cursor: pointer;
  margin: 10px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.4); 
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 1);
  text-transform: uppercase;
  font-weight: bold;
  font-size: 15px;
  width: auto;
}

.button:hover {
  background-color: #a53816; 
}

.centered-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
  text-align: center;
}

.heading {
  font-size: 50px;
  font-weight: bold;
  margin-bottom: 20px;
  text-transform: uppercase;
}

.subheading {
  font-size: 16px;
  color: #666;
}

.instruction {
  margin-bottom: 20px;
}

.button-container {
  display: flex;
  gap: 10px;
}

.hero-text {
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  font-weight: bold;
  transform: translate(-50%, -50%);
  color: rgb(255, 255, 255);
  font-size: 40px;
  font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 1);
  text-transform: uppercase;
  white-space: nowrap;
  margin-bottom: 0;
}

.hero-text h1 {
  margin-bottom: 0px;
}

.hero-text h2 {
  margin-top: 0;
  margin-bottom: 40px;
  font-size: 30px;
}

/* Responsive adjustments */
@media (max-width: 1200px) {
  .hero-text {
    font-size: 35px;
  }
  
  .hero-text h1 {
    font-size: 32px;
  }
  
  .hero-text h2 {
    font-size: 25px;
  }
}

@media (max-width: 992px) {
  .heading {
    font-size: 45px;
  }
  
  .subheading {
    font-size: 15px;
  }
  
  .button {
    font-size: 14px;
    padding: 8px 14px;
  }

  .hero-text {
    font-size: 30px;
  }
  
  .hero-text h1 {
    font-size: 28px;
  }
  
  .hero-text h2 {
    font-size: 20px;
  }
}

@media (max-width: 768px) {
  .heading {
    font-size: 35px;
  }
  
  .subheading {
    font-size: 14px;
  }
  
  .instruction {
    margin-bottom: 10px;
  }
  
  .button {
    font-size: 12px;
    padding: 6px 12px;
  }

  .hero-text {
    font-size: 25px;
  }
  
  .hero-text h1 {
    font-size: 24px;
  }
  
  .hero-text h2 {
    font-size: 18px;
  }
}

@media (max-width: 576px) {
  .heading {
    font-size: 25px;
  }
  
  .subheading {
    font-size: 12px;
  }
  
  .instruction {
    margin-bottom: 5px;
  }
  
  .button {
    font-size: 10px;
    padding: 4px 8px;
  }

  .hero-text {
    font-size: 18px;
  }
  
  .hero-text h1 {
    font-size: 16px;
  }
  
  .hero-text h2 {
    font-size: 14px;
  }

  .button-container {
    flex-direction: column;
    gap: 5px;
  }
}

@media (max-width: 400px) {
  .heading {
    font-size: 20px;
  }
  
  .subheading {
    font-size: 10px;
  }
  
  .instruction {
    margin-bottom: 5px;
  }
  
  .button {
    font-size: 8px;
    padding: 3px 6px;
  }

  .hero-text {
    font-size: 16px;
  }
  
  .hero-text h1 {
    font-size: 14px;
  }
  
  .hero-text h2 {
    font-size: 12px;
  }
}
